#!/tmp/.ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZpErLZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZperl/bin/perl

use PureMessage::Manager::ProgressPage;
use Data::Dump;
use POSIX;

sub myworker() {
	my $pb = shift;

	my $start = time;
	my $ttime = 30;
	my $stop = $start + $ttime; 
	while(1) {
		my $now = time;
		last if $now >= $stop;
		my $percent_done = ceil(($now-$start)/$ttime*100);
		$pb->{progress}->{body} = $pb->progress_bar_style().$pb->progress_bar($percent_done);
		$pb->update_progress();
		sleep(1);
	}
	$pb->{report}->{body} = "<h1>Test Complete</h1> total time: $ttime seconds.";
	$pb->{report}->{title} = "Test Complete";
	$pb->report_and_cleanup();
}

my $session = time.'-'.ceil(rand(100000));

my $pb = PureMessage::Manager::ProgressPage->new({
		'worker' => \&myworker,
		'refresh_time' => 1,
		'progress' => {
				'file' => "progress_${session}.html", 
				'uribase' => './',
				'localpath' => './',
				'body' => 'Initiating test sequence...'
				},
		
		'report' => {	
				'file' => "report_${session}.html", 
				'uribase' => './', 
				'localpath' => './'
				},
		});
$pb->run();
